commit 495c5e1c297dd32d63c733dfd3ae62907c4bce7b
Author: freddy77 <freddy77>
Date:   Wed Apr 15 20:55:03 2009 +0000

    fix dirname for win32

diff --git a/ChangeLog b/ChangeLog
index 4823b72..f780385 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Apr 15 22:54:49 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/common.c: fix dirname for win32
+
 Wed Apr 15 09:59:47 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/common.c: fix core detecting sql input file
 
@@ -1464,4 +1467,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2765 2009/04/15 08:00:20 freddy77 Exp $
+$Id: ChangeLog,v 1.2766 2009/04/15 20:55:03 freddy77 Exp $
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 6e9be30..055bf6c 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -14,7 +14,7 @@
 
 #include "replacements.h"
 
-static char software_version[] = "$Id: common.c,v 1.33 2009/04/15 08:00:20 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.34 2009/04/15 20:55:03 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -80,6 +80,11 @@ tds_dirname(char* path)
 	p2 = strrchr(p, '\\');
 	if (p2)
 		p = p2;
+	if (p == path) {
+		if (*p == '/' || *p == '\\')
+			return "\\";
+		return ".";
+	}
 	*p = 0;
 	return path;
 }

